# Contributing to the h3-js library

Pull requests and Github issues are welcome!

## Issues & Questions

* Post **bug reports or feature requests** to the [Github Issues page](https://github.com/uber/h3-js/issues)
* Ask **questions** by posting to the [H3 tag on StackOverflow](https://stackoverflow.com/questions/tagged/h3)

## Pull requests

* Please include tests that show the bug is fixed or feature works as intended.
* Please add a description of your change to the Unreleased section of the [changelog](./CHANGELOG.md).
* Please open issues to discuss large features or changes which would break compatibility, before submitting pull requests.
* Please keep code coverage of h3-js library at 100%.

Before we can merge your changes, you must agree to the [Uber Contributor License Agreement](https://cla-assistant.io/uber/h3-js).

## Other ways to contribute

You may also be interested in [contributing to the H3 core library repository](https://github.com/uber/h3/blob/master/CONTRIBUTING.md), which includes the API documentation for H3.
